Name:           perl-POE-Component-SimpleDBI
Version:        1.30
Release:        4%{?dist}
Summary:        Asynchronous non-blocking DBI calls in POE made simple
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-Component-SimpleDBI/
Source0:        http://search.cpan.org/CPAN/authors/id/A/AP/APOCAL/POE-Component-SimpleDBI-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.31
BuildRequires:  perl(DBI) >= 1.30
BuildRequires:  perl(Error) >= 0.15
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(POE) >= 0.20
BuildRequires:  perl(POE::Filter::Line)
BuildRequires:  perl(POE::Filter::Reference)
BuildRequires:  perl(POE::Session)
BuildRequires:  perl(POE::Wheel::Run)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Pod)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module works its magic by creating a new session with POE, then
spawning off a child process to do the "heavy" lifting. That way, your
main POE process can continue servicing other clients. Queries are put
into a queue, and processed one at a time.

%prep
%setup -q -n POE-Component-SimpleDBI-%{version}
chmod a-x examples/*
sed -i 's/#!perl/#!\/usr\/bin\/perl/' t/00-compile.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.30-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.30-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 16 2012 Petr Pisar <ppisar@redhat.com> - 1.30-2
- Perl 5.16 rebuild

* Tue Jan 17 2012 Petr Šabata <contyk@redhat.com> - 1.30-1
- 1.30 bump
- Spec cleanup

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.27-7
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.27-5
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.27-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.27-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 21 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.27-1
- auto-update to 1.27 (by cpan-spec-update 0.01)
- added a new br on perl(POE::Filter::Reference) (version 0)
- added a new br on perl(POE::Wheel::Run) (version 0)
- added a new br on perl(POE::Session) (version 0)
- added a new br on perl(POE::Filter::Line) (version 0)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.18-2
Rebuild for new perl

* Thu Dec 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.18-1
- update to 1.18

* Sun Jun 03 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.16-1
- update to 1.16
- add t/ to doc
- spec rework for the once and future perl split

* Fri Sep 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.15-1
- update to 1.15

* Mon Sep 18 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.14-1
- update to 1.14
- added examples/ to %%doc
- add br perl(Test::Pod) for pod tests

* Sat Sep 02 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.12-2
- bump

* Fri Aug 25 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.12-1
- Specfile autogenerated by cpanspec 1.69.1.
